Ciele

Configure a Teammate's harness, internet and isolated computer

PUT/api/v1/teammates/{id}/runtime

Requires an Organization API key with the manageMembers capability.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/teammates/string/runtime" \  -H "Content-Type: application/json" \  -d '{    "harness": {      "kind": "ciele"    },    "internet": true,    "computer": {      "browser": true,      "files": true,      "terminal": true    }  }'
{  "id": "string",  "organizationId": "string",  "runtimeConfig": {    "harness": {      "kind": "ciele"    },    "internet": true,    "computer": {      "browser": true,      "files": true,      "terminal": true    }  },  "name": "string",  "title": "string",  "roleDescription": "string",  "avatarSeed": "string",  "ownerId": "string",  "editorIds": [    "string"  ],  "visibility": "org",  "collectionIds": [    "string"  ],  "sourceIds": [    "string"  ],  "modelProvider": "anthropic",  "modelId": "string",  "modelSource": null,  "allowedModels": [    {      "provider": "anthropic",      "modelId": "string",      "source": "api_key"    }  ],  "systemKind": null,  "assistantId": null,  "capabilityCeiling": "edit",  "approvalBypass": true,  "projectId": null,  "deletedAt": null,  "createdAt": "string",  "updatedAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}